## org.apache.mahout.benchmark
Class VectorBenchmarks

    java.lang.Object
      org.apache.mahout.benchmark.VectorBenchmarks

All Implemented Interfaces:
  Summarizable

    public class VectorBenchmarks

extends Object
implements Summarizable

Constructor Summary
`VectorBenchmarks(int cardinality, int sparsity, int numVectors, int loop, int opsPerUnit)`

Method Summary
`void` `cloneBenchmark()`
`void` `createBenchmark()`
`void` `deserializeBenchmark()`
`void` `distanceMeasureBenchmark(DistanceMeasure measure)`
`void` `dotBenchmark()`
`void` `incrementalCreateBenchmark()`
`static void` `main(String[] args)`
`void` `serializeBenchmark()`
`String` `summarize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VectorBenchmarks

    public VectorBenchmarks(int cardinality,
                            int sparsity,
                            int numVectors,
                            int loop,
                            int opsPerUnit)

Method Detail

### createBenchmark

    public void createBenchmark()

### incrementalCreateBenchmark

    public void incrementalCreateBenchmark()

### cloneBenchmark

    public void cloneBenchmark()

### serializeBenchmark

    public void serializeBenchmark()
                            throws IOException

  Throws:
    `IOException`

### deserializeBenchmark

    public void deserializeBenchmark()
                              throws IOException

  Throws:
    `IOException`

### dotBenchmark

    public void dotBenchmark()

### distanceMeasureBenchmark

    public void distanceMeasureBenchmark(DistanceMeasure measure)

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

### summarize

    public String summarize()

  Specified by:
    `summarize` in interface `Summarizable`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.